<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns="http://www.w3.org/2002/xforms" 
                xmlns:xform="http://www.w3.org/2002/xforms" 
                xmlns:art="http://www.intevation.de/2009/artifacts">
    <xsl:output method="html" version="1.0" encoding="UTF-8" omit-xml-declaration="no"/>
    
    <xsl:template match="xform:select">
        <xsl:variable name="selectName" select="@ref"/>
            <div id="timeseriesfilter">
                <table>
                    <tr>
                        <th class="parameter"><xsl:value-of select="xform:label"/>:</th>
                        <td>
                            <table>
                                <xsl:apply-templates select="xform:choices/xform:item" mode="table"/>
                            </table>
                        </td>
                    </tr>
                </table>
             </div> 
    </xsl:template>


    <xsl:template match="xform:item" mode="table">
        <xsl:if test="@selected = 'true'">
            <tr>
                <td class="value"><xsl:value-of select="./xform:label"/></td>
            </tr>
        </xsl:if>
    </xsl:template>
    

    <xsl:template match="xform:select1">
        <xsl:variable name="selectName" select="@ref"/>
            <div id="timeseriesfilter">
                <table>
                    <tr>
                        <th class="parameter"><xsl:value-of select="xform:label"/>:</th>
                        <td><xsl:value-of select="./xform:choices/xform:item/xform:label" /></td>
                    </tr>
                </table>
             </div>
    </xsl:template>
    

    <xsl:template match="xform:group">
        <xsl:variable name="inputName" select="xform:label"/>
        <div id="timeseriesfilter">
            <table>
                <tr>
                    <th class="parameter"><xsl:value-of select="xform:label"/>:</th>
                    <td>
                        <table>
                            <xsl:apply-templates select="xform:input" mode="table"/>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
    </xsl:template>


    <xsl:template match="xform:input" mode="table">
        <tr>
            <td class="value">
                <xsl:value-of select="./xform:label"/>&#160;<xsl:value-of select="./xform:value"/>
            </td>
        </tr>
    </xsl:template>


</xsl:stylesheet>
